Skip to content

Return ordered display payloads for selected lookup reference values.

POST
/api/workspace/entity/{entityIdOrKey}/ui/reference/display-values
curl --request POST \
--url https://example.com/api/workspace/entity/example/ui/reference/display-values \
--header 'Content-Type: application/json' \
--data '{ "TargetEntity": "example", "InstanceIds": [ "example" ], "RenderType": 0, "ReferencePath": [ "example" ] }'
  • None
entityIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload for resolving display text or breadcrumbs for selected lookup values.

object
TargetEntity

Target entity definition identifier or key for selected instance IDs.

string
nullable
InstanceIds

Selected instance identifiers in display order.

Array<string>
nullable
RenderType
integer format: int32
Allowed values: 0 1
ReferencePath

Reference field-key path to materialize when breadcrumbs are requested.

Array<string>
nullable

OK

Media typeapplication/json
object
Data

Reference lookup display values returned in the same order as requested IDs.

object
Values
Array<object>
nullable

Display payload for one selected reference value.

object
InstanceId
string
nullable
State
integer format: int32
Allowed values: 0 1 2
DisplayName
string
nullable
Subtitle
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb segment for a selected reference value.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
ErrorCode
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Values": [
{
"State": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Reference lookup display values returned in the same order as requested IDs.

object
Values
Array<object>
nullable

Display payload for one selected reference value.

object
InstanceId
string
nullable
State
integer format: int32
Allowed values: 0 1 2
DisplayName
string
nullable
Subtitle
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb segment for a selected reference value.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
ErrorCode
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Values": [
{
"State": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Reference lookup display values returned in the same order as requested IDs.

object
Values
Array<object>
nullable

Display payload for one selected reference value.

object
InstanceId
string
nullable
State
integer format: int32
Allowed values: 0 1 2
DisplayName
string
nullable
Subtitle
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb segment for a selected reference value.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
ErrorCode
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Values": [
{
"State": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Reference lookup display values returned in the same order as requested IDs.

object
Values
Array<object>
nullable

Display payload for one selected reference value.

object
InstanceId
string
nullable
State
integer format: int32
Allowed values: 0 1 2
DisplayName
string
nullable
Subtitle
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb segment for a selected reference value.

object
Id
string
nullable
EntityDefinitionId
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
ErrorCode
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Values": [
{
"State": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}